<?php

###########################
#Скрипт: Keo v1#
#Автор: GulievMMA#
#Версия: v1#
#Страна: Азербайджан#
#Город: Сумгайыт#
#Спорт: ММА#
#Сайт: KeoTop.Ru#
#Сайт: H9M.Ru#
#Телеграм: @AnarQuliyevMMA#
#E-mail: guliev.mma@gmail.com  #
#WhatsApp: +994 (77) 768-39-39#
#WhatsApp: +994 (55) 968-78-69#
############################
#Скрипт Принадлежит Мне , Продавать и Распростронять Нельзя (!)#
############################

define('NTOP', 1);
$title = 'Админка - Управление Рекламой';
require_once('../system/connect.php');
require_once('../system/core.php');
require_once('../system/function.php');
require_once('../m/head.php');
if ($u['level'] < 2)
{
echo '<div class="title2"><b>Не туда зашел! </b></div>';
echo '<div class="topni">';
echo "<center><img src='/img/404/load.gif' alt='Загрузка' /></center>";
echo '</div>';
echo '<div class="topni">';
header('Refresh: 3; URL=http://keotop.ru');
echo 'Через несколько сек. вы будете перенаправлены на Главную страницу ТОП100';
echo '</div>';

require_once('../m/foot.php');
exit;
}else{


/////////////////// БЛя начало
switch($act)
{
default:
echo '<div class="title2">Управление рекламой</div>';
$rekl = mysql_query("SELECT * FROM `worldkassa` ORDER BY `expire` DESC");
//////////////// Вывод
if(mysql_num_rows($rekl) > 0)
{
while($row = mysql_fetch_assoc($rekl))
{

echo '<div class="blok">'.($row['adult'] == 1 ? '<img src="/text/+18.png" alt="reklama asiatop.ru">' : '<img src="/text/ads.png" alt="reklama keotop.ru">').' <a '.(($row['color'] || $row['bold'] || $row['italic']) ? 'style="'.($row['bold']?'font-weight:bold;':'').($row['italic']?'font-style:italic;':'').($row['color']?'color:'.$row['color']:'').'" ' : '' ).'href="'.$row['url'].'" target="_blank">'.$row['name'].'</a> ['.$row['expire'].'] - <a href="http://'.$set['home'].'/adm_panel/reklama.php?act=del&id='.$row['id'].'">[del]</a>';
echo ' <a href="http://'.$set['home'].'/adm_panel/reklama.php?act=edit&id='.$row['id'].'">[edit]</a><br/>';
echo '</div>';
}
}
else
{

echo '<div class="topni">Ссылок нету !!! </div>';

}

echo '<div class="main">';
echo '<a href="http://'.$set['home'].'/adm_panel/reklama.php?act=add">Добавить ссылку</a><br/>';
echo '</div>';

break;

////////////////////////	Добавление рекламмы

case 'add':
echo '<div class="title">Добавление ссылки</div>';
include '../wk/config.php';
$error=FALSE;

if(isset($_POST['submit']) AND $user_data){

if(empty($_POST['url']) || empty($_POST['name']) || empty($_POST['days'])){
$error='Похоже вы что-то пропустили...';
}else{

$url=(string)$_POST['url'];
$ilu=mb_strlen($url);
if($ilu<11 || $ilu>50){
$error='Предельная длина URL 11-50';
}else{

$url=mysql_real_escape_string(htmlspecialchars($url));

$name=(string)$_POST['name'];
$iln=mb_strlen($name);
if($iln<3 || $iln>32){
$error='Предельная длина названия 3-32';
}else{

$name=mysql_real_escape_string(htmlspecialchars($name));

$days=abs((int)$_POST['days']);

if($days<0 || $days>$ism){
$error='Предельное количество дней 1-'.$ism.'</div>';
}else{

$summa=$isd2; //сумма платежа


$sql="INSERT INTO `worldkassa` SET `url`='$url', `name`='$name', `payment`=NOW(), `expire`=NOW() + INTERVAL {$days} DAY";

if(!empty($_POST['color'])){
$color=mysql_real_escape_string(htmlspecialchars((string)$_POST['color']));
if(array_key_exists($color,$alc)){
$sql.=",`color`='$color'"; $summa+=$isc2;
}else{$error='Нет цвета';};
};
$summa*=$days;

if($error==FALSE){//error

if(isset($_POST['bold'])){ $sql.=',`bold`=1'; $summa+=$isb2;  };

if(isset($_POST['italic'])){ $sql.=',`italic`=1'; $summa+=$isi2;  };
if(isset($_POST['adult'])){ $sql.=',`adult`=1';};



$sql.=',`summa`='.$summa;
$sql.=',`days`='.$days;
$sql.=",`id_bill`='0'";

if (mysql_query($sql)or die(mysql_error())) {
header("Location: reklama.php?act=add&amp;success");
} else {
header("Location: reklama.php?act=add&amp;error");
}
exit;
};//error
};//days
};//name
};//url
};//empty
};//submit


if($error){
echo'<div class="main"> '.$error.' </div>';
}elseif(isset($_REQUEST['success'])){
echo'<div class="main"> Реклама добавлень </div>';
}elseif(isset($_REQUEST['error'])){
echo'<div class="main"><font color="ff0000"> Произошла ошибка </font></div>';
};

echo'<form action="reklama.php?act=add" method="post"><div class="main">

URL сайта[50]:<br/><input name="url" type="text" maxlength="50" value="http://"/><br/>

Название ссылки[32]:<br/><input name="name" type="text" maxlength="32"/><br/>

Количество дней[1-'.$ism.']:<br/><input name="days" type="text" maxlength="5" size="5" value="7"/><br/>

Цвет ссылки:<br/>
<select name="color">';
foreach($alc as $slc=>$slv){
echo'<option value="'.$slc.'">'.$slv.'</option>';
};
echo'</select><br/>
<input name="adult" type="checkbox" value="1"/> <b>Сайт для старших 18 лет </b><br/>

<input name="bold" type="checkbox" value="1"/> <b>Жирность</b><br/>

<input name="italic" type="checkbox" value="1"/> <i>Курсивность</i><br/>
<br/>

<input type="submit" name="submit" value="Добавить"/>
</div></form>';

echo'<div class="stat" style="font-size:x-small">
<div style="color:green">Правила предоставления рекламы:</div>

<b>1. </b>Рекламы показываются до 6 ссылок поочередно, и показываются рандомно.<br/>

<b>2.</b> К рекламе не допускаются сайты нарушающие законодательство всех стран<br/>

<b>3.</b> Запрещены к показу сайты содержащие вирусы, фейки и тп.<br/>

</div>
';
break;

/////////////////// Изменерие Рекламы

case 'edit':
if($id)
{
$isset = mysql_query("SELECT * FROM `worldkassa` WHERE `id` = '".$id."'");
if(mysql_num_rows($isset) > 0)
{
$rekl = mysql_fetch_array($isset);
echo '<div class="title">Изменение рекламы</div>';
include '../wk/config.php';
$error=FALSE;

if(isset($_POST['submit']) AND $user_data){

if(empty($_POST['url']) || empty($_POST['name']) || empty($_POST['days'])){
$error='Похоже вы что-то пропустили...';
}else{

$url=(string)$_POST['url'];
$ilu=mb_strlen($url);
if($ilu<11 || $ilu>50){
$error='Предельная длина URL 11-50';
}else{

$url=mysql_real_escape_string(htmlspecialchars($url));

$name=(string)$_POST['name'];
$iln=mb_strlen($name);
if($iln<3 || $iln>32){
$error='Предельная длина названия 3-32';
}else{

$name=mysql_real_escape_string(htmlspecialchars($name));

$days=abs((int)$_POST['days']);

if($days<0 || $days>$ism){
$error='Предельное количество дней 1-'.$ism.'</div>';
}else{

$summa=$isd2; //сумма платежа


$sql="UPDATE `worldkassa` SET `url`='$url', `name`='$name', `payment`=NOW(), `expire`=NOW() + INTERVAL {$days} DAY";

if(!empty($_POST['color'])){
$color=mysql_real_escape_string(htmlspecialchars((string)$_POST['color']));
if(array_key_exists($color,$alc)){
$sql.=",`color`='$color'"; $summa+=$isc2;
}else{$error='Нет цвета';};
};
$summa*=$days;

if($error==FALSE){//error

if(isset($_POST['bold'])){ $sql.=',`bold`=1'; $summa+=$isb2;  };

if(isset($_POST['italic'])){ $sql.=',`italic`=1'; $summa+=$isi2;  };
if(isset($_POST['adult'])){ $sql.=',`adult`=1';};



$sql.=',`summa`='.$summa;
$sql.=',`days`='.$days;
$sql.=",`id_bill`='0' WHERE `id` = '".$id."'";
echo $sql;
if (mysql_query($sql)) {
header("Location: reklama.php?act=edit&success&id=".$id);
} else {
header("Location: reklama.php?act=edit&error&id=".$id);
}
exit;
};//error
};//days
};//name
};//url
};//empty
};//submit


if($error){
echo'<div class="main"> '.$error.' </div>';
}elseif(isset($_REQUEST['success'])){
echo'<div class="main"> Реклама изменен </div>';
}elseif(isset($_REQUEST['error'])){
echo'<div class="main"><font color="ff0000"> Произошла ошибка </font></div>';
};

echo'<form action="reklama.php?act=edit&amp;id='.$id.'" method="post"><div class="main">

URL сайта[50]:<br/><input name="url" type="text" maxlength="50" value="'.$rekl['url'].'"/><br/>

Название ссылки[32]:<br/><input name="name" type="text" value="'.$rekl['name'].'" maxlength="32"/><br/>

Количество дней[1-'.$ism.']:<br/><input name="days" type="text" maxlength="5" size="5" value="'.$rekl['days'].'"/><br/>

Цвет ссылки:<br/>
<select name="color">';
foreach($alc as $slc=>$slv){
$selected = ($rekl['color'] == $slc) ? ' selected="selected"' : '';
echo'<option value="'.$slc.'"'.$selected.'>'.$slv.'</option>';
};
echo'</select><br/>';
$selected = ($rekl['adult'] == 1) ? ' checked="checked"' : '';

echo '<input name="adult" type="checkbox" value="1"'.$selected.'/> <b>Сайт для старших 18 лет </b><br/>';
$selected = ($rekl['bold'] == 1) ? ' checked="checked"' : '';

echo '<input name="bold" type="checkbox" value="1"'.$selected.'/> <b>Жирность</b><br/>';
$selected = ($rekl['italic'] == 1) ? ' checked="checked"' : '';

echo '<input name="italic" type="checkbox" value="1"'.$selected.'/> <i>Курсивность</i><br/>
<br/>

<input type="submit" name="submit" value="Изменить"/>
</div></form>';

echo'<div class="stat" style="font-size:x-small">
<div style="color:green">Правила предоставления рекламы:</div>

<b>1. </b>Рекламы показываются до 6 ссылок поочередно, и показываются рандомно.<br/>

<b>2.</b> К рекламе не допускаются сайты нарушающие законодательство всех стран<br/>

<b>3.</b> Запрещены к показу сайты содержащие вирусы, фейки и тп.<br/>

</div>
';
}
}
break;
///////////// Удаление реаламмы

case 'del':
echo '<div class="title2">Управление рекламой</div>';
$del = mysql_query("DELETE FROM `worldkassa` WHERE `id` = '".$id."'");
if($del)
{
echo '<div class="main">';
echo 'Ссылка Успешно удалена<br/>';
echo '</div>';
}
else
{
echo '<div class="topni">';
echo 'Ссылка не удалена<br/>';
echo '</div>';
}
break;

}

echo '<div class="main">';
echo '<a href="http://'.$set['home'].'/adm_panel/reklama.php">К управлению Рекламой</a><br/>';
echo '<a href="http://'.$set['home'].'/adm_panel/index.php">В Админку</a><br/>';
echo '</div>';

}
require_once('../m/foot.php');
?>

